Ubuntu – How to install monodevelop on ubuntu 19.10

19.10monodevelop

Upto ubuntu 17.10 once monodevelop package were provided, but it seems no monodevelop package provided since ubuntu 18.04.

Is monodevelop no more provided by ubuntu developer for 19.10 or later version of ubuntu?

Since there is no monodevelop package for ubuntu 19.10, following the guild below url I tried to build it by myself, but failed.

https://help.ubuntu.com/community/monodevelop

sudo apt-get install libglade2-dev gnome-sharp2 gtk-sharp2
there is no gnome-sharp2 package.

./configure
make
Makefile:1: main/monodevelop_version: No such files or directories.
make: *** no rules to make target 'main/monodevelop_version'. Abort.

Since there is no IDE that can develop RAD, gui applications using .net/mono on Linux, it is very very inconvenient. Is nobody else in trouble with this situation?

Best Answer

You need to add MonoDevelop's repository for 18.04 LTS to the 19.10 system:

sudo apt install apt-transport-https dirmngr
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo "deb https://download.mono-project.com/repo/ubuntu vs-bionic main" | sudo tee /etc/apt/sources.list.d/mono-official-vs.list
sudo apt update
sudo apt install monodevelop

and you will get latest MonoDevelop.